[android-components](../../../index.md) / [mozilla.components.feature.qr](../../index.md) / [QrFragment](../index.md) / [OnScanCompleteListener](./index.md)

# OnScanCompleteListener

`interface OnScanCompleteListener : `[`Serializable`](https://developer.android.com/reference/java/io/Serializable.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/qr/src/main/java/mozilla/components/feature/qr/QrFragment.kt#L105)

Listener invoked when the QR scan completed successfully.

### Functions

| Name | Summary |
|---|---|
| [onScanComplete](on-scan-complete.md) | `abstract fun onScanComplete(result: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Invoked to provide access to the result of the QR scan. |
